/* Copyright (C) Coveros - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Coveros <secureci@coveros.com>, December 2017
 */
